Developers
API referenceReferenceReports

VAT statement

Generate VAT statement data as JSON using typed report request filters and columns.

POST
/v1/business/{business_slug}/report/vat-report/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/business/string/report/vat-report/" \  -H "Content-Type: application/json" \  -d '{    "columns": [      {        "date_from": "2019-08-24",        "date_to": "2019-08-24"      }    ]  }'
{  "report_type": "string",  "date_from": "2019-08-24",  "date_to": "2019-08-24",  "totals": {    "property1": 0.1,    "property2": 0.1  },  "totals_labels": {    "property1": "string",    "property2": "string"  },  "de_sections": [    null  ],  "summary": {    "property1": null,    "property2": null  },  "mapping": {    "property1": null,    "property2": null  },  "recapitulative_statement_required": true}